Package com.microsoft.sqlserver.jdbc.osgi

## Class SQLServerDataSourceFactory

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.osgi.SQLServerDataSourceFactory

All Implemented Interfaces:
  `org.osgi.service.jdbc.DataSourceFactory`

    public class SQLServerDataSourceFactory
    extends java.lang.Object
    implements org.osgi.service.jdbc.DataSourceFactory

Implementation of the Data Service Specification for JDBC™ Technology. Refer to the OSGI 7.0.0 specifications for more details.

### Field Summary

### Fields inherited from interface org.osgi.service.jdbc.DataSourceFactory

`JDBC_DATABASE_NAME, JDBC_DATASOURCE_NAME, JDBC_DESCRIPTION, JDBC_INITIAL_POOL_SIZE, JDBC_MAX_IDLE_TIME, JDBC_MAX_POOL_SIZE, JDBC_MAX_STATEMENTS, JDBC_MIN_POOL_SIZE, JDBC_NETWORK_PROTOCOL, JDBC_PASSWORD, JDBC_PORT_NUMBER, JDBC_PROPERTY_CYCLE, JDBC_ROLE_NAME, JDBC_SERVER_NAME, JDBC_URL, JDBC_USER, OSGI_JDBC_DRIVER_CLASS, OSGI_JDBC_DRIVER_NAME, OSGI_JDBC_DRIVER_VERSION`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`SQLServerDataSourceFactory()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`javax.sql.ConnectionPoolDataSource` | `createConnectionPoolDataSource​(java.util.Properties props)` |
`javax.sql.DataSource` | `createDataSource​(java.util.Properties props)` |
`java.sql.Driver` | `createDriver​(java.util.Properties props)` |
`javax.sql.XADataSource` | `createXADataSource​(java.util.Properties props)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLServerDataSourceFactory

    public SQLServerDataSourceFactory()

### Method Detail

#### createDataSource

    public javax.sql.DataSource createDataSource​(java.util.Properties props)
                                          throws java.sql.SQLException

Specified by:
  `createDataSource` in interface `org.osgi.service.jdbc.DataSourceFactory`
Throws:
  `java.sql.SQLException`

#### createConnectionPoolDataSource

    public javax.sql.ConnectionPoolDataSource createConnectionPoolDataSource​(java.util.Properties props)
                                                                      throws java.sql.SQLException

Specified by:
  `createConnectionPoolDataSource` in interface `org.osgi.service.jdbc.DataSourceFactory`
Throws:
  `java.sql.SQLException`

#### createXADataSource

    public javax.sql.XADataSource createXADataSource​(java.util.Properties props)
                                              throws java.sql.SQLException

Specified by:
  `createXADataSource` in interface `org.osgi.service.jdbc.DataSourceFactory`
Throws:
  `java.sql.SQLException`

#### createDriver

    public java.sql.Driver createDriver​(java.util.Properties props)
                                 throws java.sql.SQLException

Specified by:
  `createDriver` in interface `org.osgi.service.jdbc.DataSourceFactory`
Throws:
  `java.sql.SQLException`